@echo off
REM Configure the CrossGenerate java execute command.
set xgenerate=java -jar ..\..\jar\XGenerate.jar

REM If the output folder doesn't exist, create it.
set OutputFolder=..\Output
if not exist "%OutputFolder%" mkdir "%OutputFolder%"

REM Start generate using the following options:
REM  -config > Point to where the CrossGenerate application configuration be found.
REM  -mtc {model-file}::{template-file}::{config-file} > Specify the model, template and config file to use for generating.
REM  -cll INFO > Set the console log level to INFO so we get information about the generation on the console.
%xgenerate% ^
 -config .\XGenAppCfg.xml ^
 -mtc model.xml::example.txt::config.xml ^
 -cll INFO

REM Pause the command, so one can read the output before the terminal is closed.
pause